<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__bt__a2d_8h" kind="file" language="C++">
    <compoundname>wiced_bt_a2d.h</compoundname>
    <includes local="yes" refid="wiced__bt__sdp_8h">wiced_bt_sdp.h</includes>
    <briefdescription>
<para>Bluetooth A2DP Application Programming Interface. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_bt_sdp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="22"><highlight class="comment">**<sp /><sp />constants</highlight></codeline>
<codeline lineno="23"><highlight class="comment">*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="preprocessor">#define<sp />A2D_SUPF_PLAYER<sp /><sp /><sp /><sp /><sp />0x0001<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="31"><highlight class="preprocessor">#define<sp />A2D_SUPF_MIC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0002<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="32"><highlight class="preprocessor">#define<sp />A2D_SUPF_TUNER<sp /><sp /><sp /><sp /><sp /><sp />0x0004<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="33"><highlight class="preprocessor">#define<sp />A2D_SUPF_MIXER<sp /><sp /><sp /><sp /><sp /><sp />0x0008<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="41"><highlight class="preprocessor">#define<sp />A2D_SUPF_HEADPHONE<sp /><sp />0x0001<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="42"><highlight class="preprocessor">#define<sp />A2D_SUPF_SPEAKER<sp /><sp /><sp /><sp />0x0002<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="43"><highlight class="preprocessor">#define<sp />A2D_SUPF_RECORDER<sp /><sp /><sp />0x0004<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="44"><highlight class="preprocessor">#define<sp />A2D_SUPF_AMP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0008<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="52"><highlight class="preprocessor">#define<sp />A2D_MEDIA_TYPE_AUDIO<sp /><sp /><sp /><sp />0x00<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor">#define<sp />A2D_MEDIA_TYPE_VIDEO<sp /><sp /><sp /><sp />0x10<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />A2D_MEDIA_TYPE_MULTI<sp /><sp /><sp /><sp />0x20<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_SBC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_M12<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_M24<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x02<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_ATRAC<sp /><sp /><sp /><sp /><sp /><sp />0x04<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_VEND<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xFF<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="preprocessor">#define<sp />A2D_MEDIA_CT_APTX<sp /><sp /><sp /><sp /><sp /><sp /><sp />A2D_MEDIA_CT_VEND<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="preprocessor">#define<sp />A2D_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="77"><highlight class="preprocessor">#define<sp />A2D_FAIL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0A<sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />A2D_BUSY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0B<sp /><sp /></highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />A2D_INVALID_PARAMS<sp /><sp /><sp /><sp />0x0C<sp /><sp /></highlight></codeline>
<codeline lineno="80"><highlight class="preprocessor">#define<sp />A2D_WRONG_CODEC<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x0D<sp /><sp /></highlight></codeline>
<codeline lineno="81"><highlight class="preprocessor">#define<sp />A2D_BAD_CODEC_TYPE<sp /><sp /><sp /><sp />0xC1<sp /><sp /></highlight></codeline>
<codeline lineno="82"><highlight class="preprocessor">#define<sp />A2D_NS_CODEC_TYPE<sp /><sp /><sp /><sp /><sp />0xC2<sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />A2D_BAD_SAMP_FREQ<sp /><sp /><sp /><sp /><sp />0xC3<sp /><sp /></highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor">#define<sp />A2D_NS_SAMP_FREQ<sp /><sp /><sp /><sp /><sp /><sp />0xC4<sp /><sp /></highlight></codeline>
<codeline lineno="85"><highlight class="preprocessor">#define<sp />A2D_BAD_CH_MODE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC5<sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />A2D_NS_CH_MODE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC6<sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor">#define<sp />A2D_BAD_SUBBANDS<sp /><sp /><sp /><sp /><sp /><sp />0xC7<sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />A2D_NS_SUBBANDS<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xC8<sp /><sp /></highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />A2D_BAD_ALLOC_MTHD<sp /><sp /><sp /><sp />0xC9<sp /><sp /></highlight></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />A2D_NS_ALLOC_MTHD<sp /><sp /><sp /><sp /><sp />0xCA<sp /><sp /></highlight></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />A2D_BAD_MIN_BITPOOL<sp /><sp /><sp />0xCB<sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />A2D_NS_MIN_BITPOOL<sp /><sp /><sp /><sp />0xCC<sp /><sp /></highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor">#define<sp />A2D_BAD_MAX_BITPOOL<sp /><sp /><sp />0xCD<sp /><sp /></highlight></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />A2D_NS_MAX_BITPOOL<sp /><sp /><sp /><sp />0xCE<sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />A2D_BAD_LAYER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xCF<sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor">#define<sp />A2D_NS_LAYER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD0<sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />A2D_NS_CRC<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD1<sp /><sp /></highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />A2D_NS_MPF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD2<sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />A2D_NS_VBR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD3<sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />A2D_BAD_BIT_RATE<sp /><sp /><sp /><sp /><sp /><sp />0xD4<sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor">#define<sp />A2D_NS_BIT_RATE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD5<sp /><sp /></highlight></codeline>
<codeline lineno="102"><highlight class="preprocessor">#define<sp />A2D_BAD_OBJ_TYPE<sp /><sp /><sp /><sp /><sp /><sp />0xD6<sp /><sp /></highlight></codeline>
<codeline lineno="103"><highlight class="preprocessor">#define<sp />A2D_NS_OBJ_TYPE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD7<sp /><sp /></highlight></codeline>
<codeline lineno="104"><highlight class="preprocessor">#define<sp />A2D_BAD_CHANNEL<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD8<sp /><sp /></highlight></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />A2D_NS_CHANNEL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD9<sp /><sp /></highlight></codeline>
<codeline lineno="106"><highlight class="preprocessor">#define<sp />A2D_BAD_BLOCK_LEN<sp /><sp /><sp /><sp /><sp />0xDD<sp /><sp /></highlight></codeline>
<codeline lineno="107"><highlight class="preprocessor">#define<sp />A2D_BAD_CP_TYPE<sp /><sp /><sp /><sp /><sp /><sp /><sp />0xE0<sp /><sp /></highlight></codeline>
<codeline lineno="108"><highlight class="preprocessor">#define<sp />A2D_BAD_CP_FORMAT<sp /><sp /><sp /><sp /><sp />0xE1<sp /><sp /></highlight></codeline>
<codeline lineno="110"><highlight class="preprocessor">typedef<sp />uint8_t<sp />wiced_bt_a2d_status_t;<sp /></highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor" /><highlight class="comment">/*<sp /><sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="preprocessor">#define<sp />A2D_SET_ONE_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="preprocessor">#define<sp />A2D_SET_ZERO_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="preprocessor">#define<sp />A2D_SET_MULTL_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp />2<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="127"><highlight class="preprocessor" /><highlight class="comment">/*****************************************************************************</highlight></codeline>
<codeline lineno="128"><highlight class="comment">**<sp /><sp />type<sp />definitions</highlight></codeline>
<codeline lineno="129"><highlight class="comment">*****************************************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal">{</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />db_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />num_attr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp />wiced_bt_sdp_discovery_db_t<sp /><sp /><sp /><sp />*p_db;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*p_attrs;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal">}<sp />wiced_bt_a2d_sdp_db_params_t;</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">{</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />service_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />provider_len;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*<sp /><sp /><sp /><sp />p_service_name;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*<sp /><sp /><sp /><sp />p_provider_name;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />features;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp />avdt_version;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal">}<sp />wiced_bt_a2d_service_t;</highlight></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(wiced_bt_a2d_find_cback)(<ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref><sp />found,<sp />wiced_bt_a2d_service_t*<sp />p_service);</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal">{</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal">uint8_t<sp />wiced_bt_a2d_bits_set(uint8_t<sp />mask);</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal">wiced_bt_a2d_status_t<sp />wiced_bt_a2d_find_service(<sp />uint16_t<sp />service_uuid,<sp /><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref><sp />bd_addr,<sp />wiced_bt_a2d_sdp_db_params_t<sp />*p_db,<sp />wiced_bt_a2d_find_cback<sp />*p_cback<sp />);</highlight></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal">}</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="comment">/*<sp />@endcond<sp />*/</highlight></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d.h" />
  </compounddef>
</doxygen>